adobe_mobile_sdk_flutter 1.0.4

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • 82

adobe_mobile_sdk_flutter #

adobe_plugin_flutter is a flutter plugin for use AdobeMobileSDK.

Adobe Mobile User Documentation #

Adobe Mobile services provides a new UI that brings together mobile marketing capabilities for mobile applications from across the Adobe Experience Cloud. Initially, the Mobile service provides seamless integration of app analytics and targeting capabilities from the Adobe Analytics, Adobe Audience Manager, and Adobe Target solutions, and Experience Cloud ID service.

To learn more about the Mobile Services UI and read the user documentation, see Adobe Mobile Services.

Note: This plugin is still under development, and some APIs might not be available yet. Feedback and Pull Requests are most welcome!

Mobile support #

  • Android
  • iOS

Getting Started #

Usage #

To use this plugin, add adobe_plugin_flutter as a dependency in your pubspec.yaml file.

Set the ADBMobile JSON Config Path #

Tip:

  • On iOS, the ADBMobileConfig.json can be placed anywhere that it is accessible in your bundle. see Adobe Mobile iOS

  • On android, the ADBMobileConfig.json can be placed on assets folder. See Adobe Mobile SDK android

InitTrack #

This function is use for set the ADBMobile configuration with files.

  • On iOS : add ADBConfigFile to appDelegate.m and import ADBMobile.h
    NSString *filePath = [[NSBundle mainBundle] pathForResource:@"ADBMobileConfig" ofType:@"json"];
    [ADBMobile overrideConfigPath:filePath];
  • On Android : use initTrack function

initTrack(String fileName);

    try{
        await AdobeAnalyticsPlugin.initTrack("ADBMobileConfigCustom.json");
    } on Exception {
       print('Failed to init Adobe Tracking');
    }

TrackScreen #

This function is use for track the screen with optional data.

trackState(String screenName, [Map<String, dynamic> additionalData]);

    String result = await AdobeAnalyticsPlugin.trackState(
        "SCREEN_NAME",
        null
    );

TrackAction #

This function is use for track the action with optional data.

trackAction(String actionName, [Map<String, dynamic> additionalData]);

    String result = await AdobeAnalyticsPlugin.trackAction(
        "ACTION_NAME",
        <String, dynamic>{
            "action": "ACTION",
            "category": "TEST"
        }
    );

Getting Started #

See the example directory for a complete sample app using adobe_plugin_flutter.

Plugins #

PluginLinks
AdobeMobileSDK iOShttps://cocoapods.org/pods/AdobeMobileSDK
AdobeMobileSDK androidhttps://mvnrepository.com/artifact/com.adobe.mobile/adobeMobileLibrary/4.17.2

0.0.1 #

  • Add iOS and Android support for initTrack, trackScreen and trackAction function.

1.0.0 #

  • Change version and fix description for flutter analysis

1.0.1 #

  • Fix description for flutter analysis to long and add dependencies android to Readme

1.0.2 #

  • Fix override config files for iOS

1.0.3 #

  • Update dependency AdobeMobileSDK to 4.17.2 Android and 4.18.1 iOS

1.0.4 #

  • Fix additional data map was always null

example/README.md

adobe_mobile_sdk_flutter_example #

On iOS #

  • Replace ADBMobileConfig.json in Runner/Runner
  • Call to override function in appDelegate and import ADBMobile.h
    NSString *filePath = [[NSBundle mainBundle] pathForResource:@"ADBMobileConfig" ofType:@"json"];
    [ADBMobile overrideConfigPath:filePath];

On android #

Track function #

TrackScreen #

This function is use for track the screen with optional data.

trackState(String screenName, [Map<String, dynamic> additionalData]);

    String result = await AdobeAnalyticsPlugin.trackState(
        "SCREEN_NAME",
        null
    );

TrackAction #

This function is use for track the action with optional data.

trackAction(String actionName, [Map<String, dynamic> additionalData]);

    String result = await AdobeAnalyticsPlugin.trackAction(
        "ACTION_NAME",
        <String, dynamic>{
            "action": "ACTION",
            "category": "TEST"
        }
    );

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  adobe_mobile_sdk_flutter: ^1.0.4

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:adobe_mobile_sdk_flutter/adobe_mobile_sdk_flutter.dart';
  
Version Uploaded Documentation Archive
1.0.4 Apr 18, 2019 Go to the documentation of adobe_mobile_sdk_flutter 1.0.4 Download adobe_mobile_sdk_flutter 1.0.4 archive
1.0.3 Mar 22, 2019 Go to the documentation of adobe_mobile_sdk_flutter 1.0.3 Download adobe_mobile_sdk_flutter 1.0.3 archive
1.0.2 Nov 26, 2018 Go to the documentation of adobe_mobile_sdk_flutter 1.0.2 Download adobe_mobile_sdk_flutter 1.0.2 archive
1.0.1 Nov 21, 2018 Go to the documentation of adobe_mobile_sdk_flutter 1.0.1 Download adobe_mobile_sdk_flutter 1.0.1 archive
1.0.0 Nov 21, 2018 Go to the documentation of adobe_mobile_sdk_flutter 1.0.0 Download adobe_mobile_sdk_flutter 1.0.0 archive
0.0.1 Nov 21, 2018 Go to the documentation of adobe_mobile_sdk_flutter 0.0.1 Download adobe_mobile_sdk_flutter 0.0.1 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
64
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
82
Learn more about scoring.

We analyzed this package on Apr 24, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.2.0
  • pana: 0.12.14
  • Flutter: 1.4.7

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Health suggestions

Format lib/adobe_mobile_sdk_flutter.dart.

Run flutter format to format lib/adobe_mobile_sdk_flutter.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.68.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11
meta 1.1.6 1.1.7
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8